Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Module::Pluggable::Object

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Module::Pluggable::Object

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- AUTHOR
- COPYING
- BUGS
- SEE ALSO

# NAME

Module::Pluggable::Object - automatically give your module the ability to have plugins

# SYNOPSIS

Simple use Module::Pluggable -

        package MyClass;    use Module::Pluggable::Object;        my $finder = Module::Pluggable::Object->new(%opts);    print "My plugins are: ".join(", ", $finder->plugins)."\n";

# DESCRIPTION

Provides a simple but, hopefully, extensible way of having 'plugins' for your module. Obviously this isn't going to be the be all and end all of solutions but it works for me.

Essentially all it does is export a method into your namespace that looks through a search path for .pm files and turn those into class names.

Optionally it instantiates those classes for you.

This object is wrapped by `Module::Pluggable` . If you want to do something odd or add non-general special features you're probably best to wrap this and produce your own subclass.

# OPTIONS

See the `Module::Pluggable` docs.

# AUTHOR

Simon Wistow <simon@thegestalt.org>

# COPYING

Copyright, 2006 Simon Wistow

Distributed under the same terms as Perl itself.

# BUGS

None known.

# SEE ALSO

Module::Pluggable

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- AUTHOR
- COPYING
- BUGS
- SEE ALSO